Bug 57090 - System hangs while running xscreensaver
System hangs while running xscreensaver
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-04 13:05 EST by Eric W. Anderson
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-07 07:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of startx. ( startx > Xlog 2>&1 ) (8.78 KB, text/plain)
2001-12-13 13:33 EST, Eric W. Anderson
no flags Details
XF86Config-4 file in use (Generated by Xconfigurator) (1.83 KB, text/plain)
2001-12-13 13:35 EST, Eric W. Anderson
no flags Details
Output of lspci -v (1.68 KB, text/plain)
2001-12-13 13:37 EST, Eric W. Anderson
no flags Details

  None (edit)
Description Eric W. Anderson 2001-12-04 13:05:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
When the system is left unatended for around an hour running xscreensaver,
it's been locked up when I came back to it.  By locked up I mean that te
graphics of the xscreensaver module were not moving, there was no responce
to any keyboard or mouse input (including CTL-ALT-BKSP, CTL-ALT-DEL, and
CTL-ALT-F1).  Further, attempts to telnet to the machine timed out.  This
suggests to me that xscreensaver cause X itself to hang, but I don't claim
to know.

I realize that this is not exactly a sufficient bug report to diagnose the
problem; it's more a request for guidance:  What additional information do
you need from me?

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Create a .xinitrc file containing only xterm and xscreensaver.  (The
problem also occurs in more complicated environments, but this is the most
simplified one in which I have experienced it.)
2. Run startx
3. In the xterm, type xscreensaver-command -lock
4. Wait....
	

Actual Results:  After an indeterminate ammount of time (between 10 mins
and an hour) the system locked up as described above.

Expected Results:  The screen saver should have responded to keyboard
input, allowing me to enter my password and unlock the terminal.

Additional info:
Comment 1 Bill Nottingham 2001-12-13 12:46:49 EST
This is most likely an X driver issue. We'd need the X configuration file, and
the X startup logs. The output of lspci -v would probably also be helpful.
Comment 2 Eric W. Anderson 2001-12-13 13:33:22 EST
Created attachment 40494 [details]
Log of startx.  ( startx > Xlog 2>&1 )
Comment 3 Eric W. Anderson 2001-12-13 13:35:59 EST
Created attachment 40495 [details]
XF86Config-4 file in use  (Generated by Xconfigurator)
Comment 4 Eric W. Anderson 2001-12-13 13:37:43 EST
Created attachment 40496 [details]
Output of lspci -v
Comment 5 Mike A. Harris 2002-01-25 04:26:59 EST
Please attach /var/log/XFree86.0.log as well as the output of:

uname -a
rpm -q kernel
Comment 6 Mike A. Harris 2002-01-25 04:29:07 EST
Is this an Athlon system?
Comment 7 Mike A. Harris 2002-02-09 15:09:01 EST
Awaiting response...
Comment 8 Mike A. Harris 2002-07-29 21:59:39 EDT
hello?
Comment 9 Mike A. Harris 2002-11-07 07:50:38 EST
Obviously this issue isn't important to you.  Closing WORKSFORME

Note You need to log in before you can comment on or make changes to this bug.